> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.propertypal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.propertypal.com/_mcp/server.

# List branch listings

GET https://rightmove-feed.propertypal.com/v2/property/commercial/branch

**Page through all live listings PropertyPal currently holds for a branch.**

Results are sorted most-recently-updated first.

| Parameter | Description |
| --- | --- |
| `id` | Branch identifier (required). |
| `page` | Zero-based page index. Default `0`. |
| `size` | Page size. Default `20`, capped at `100`. |

### Response

- **`200 OK`** — body is `PropertyAction` with `data` as an array of property records. Empty array when the branch has no live listings.


Reference: https://apidocs.propertypal.com/api-reference/commercial-listings-api/property/list-branch-listings

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Rightmove 2.0
  version: 1.0.0
paths:
  /v2/property/commercial/branch:
    get:
      operationId: listBranchListings
      summary: List branch listings
      description: >
        **Page through all live listings PropertyPal currently holds for a
        branch.**


        Results are sorted most-recently-updated first.


        | Parameter | Description |

        | --- | --- |

        | `id` | Branch identifier (required). |

        | `page` | Zero-based page index. Default `0`. |

        | `size` | Page size. Default `20`, capped at `100`. |


        ### Response


        - **`200 OK`** — body is `PropertyAction` with `data` as an array of
        property records. Empty array when the branch has no live listings.
      tags:
        - property
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
        - name: size
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 200 — Listings returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Property_listBranchListings_Response_200'
        '401':
          description: 401 — Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListBranchListingsRequestUnauthorizedError
        '403':
          description: 403 — Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBranchListingsRequestForbiddenError'
        '429':
          description: 429 — Too Many Requests
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListBranchListingsRequestTooManyRequestsError
        '502':
          description: 502 — Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBranchListingsRequestBadGatewayError'
        '503':
          description: 503 — Service Unavailable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListBranchListingsRequestServiceUnavailableError
servers:
  - url: https://rightmove-feed.propertypal.com
    description: https://rightmove-feed.propertypal.com
components:
  schemas:
    V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaMeta:
      type: object
      properties:
        requestTimestamp:
          type: string
          format: date-time
        responseTimestamp:
          type: string
          format: date-time
        traceId:
          type: string
      title: V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaMeta
    V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsCoordinate:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      title: >-
        V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsCoordinate
    V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsResourcesItems:
      type: object
      properties:
        id:
          type: integer
        uri:
          type: string
          format: uri
        displayOrder:
          type: integer
        title:
          type: string
        fileType:
          type: string
        processed:
          type: boolean
        deleted:
          type: boolean
      title: >-
        V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsResourcesItems
    V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: integer
        remoteId:
          type: string
        branchId:
          type: string
          format: utc-millisec
        buildingName:
          type: string
        street:
          type: string
        town:
          type: string
        region:
          type: string
        postcode:
          type: string
        countryCode:
          type: string
        coordinate:
          $ref: >-
            #/components/schemas/V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsCoordinate
        priceCurrency:
          type: string
        price:
          type: integer
        status:
          type: string
        saleType:
          type: string
        propertyType:
          type: string
        size:
          type: integer
        sizeUnits:
          type: string
        description:
          type: string
        shortDescription:
          type: string
        tenureType:
          type: string
        showOnWebsite:
          type: boolean
        deleted:
          type: boolean
        timeFirstReceived:
          type: string
          format: date-time
        timeLastReceived:
          type: string
          format: date-time
        resources:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItemsResourcesItems
      title: >-
        V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItems
    Property_listBranchListings_Response_200:
      type: object
      properties:
        meta:
          $ref: >-
            #/components/schemas/V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaMeta
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2PropertyCommercialBranchGetResponsesContentApplicationJsonSchemaDataItems
      title: Property_listBranchListings_Response_200
    ListBranchListingsRequestUnauthorizedError:
      type: object
      properties: {}
      title: ListBranchListingsRequestUnauthorizedError
    ListBranchListingsRequestForbiddenError:
      type: object
      properties: {}
      title: ListBranchListingsRequestForbiddenError
    ListBranchListingsRequestTooManyRequestsError:
      type: object
      properties: {}
      title: ListBranchListingsRequestTooManyRequestsError
    ListBranchListingsRequestBadGatewayError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: ListBranchListingsRequestBadGatewayError
    ListBranchListingsRequestServiceUnavailableError:
      type: object
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        instance:
          type: string
      title: ListBranchListingsRequestServiceUnavailableError
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer

```

## Examples

### 200 — Listings returned



**Response**

```json
{
  "meta": {
    "requestTimestamp": "2026-06-19T09:00:00Z",
    "responseTimestamp": "2026-06-19T09:00:00.142Z",
    "traceId": "1d3b0a4e-9c9e-4d6a-9a45-c7c0a8f7c2a1"
  },
  "data": [
    {
      "id": 84221,
      "remoteId": "DEMO-001",
      "branchId": "12345",
      "buildingName": "Unit 1, 12 Donegall Square West",
      "street": "Donegall Square West",
      "town": "Belfast",
      "region": "County Antrim",
      "postcode": "BT1 6JA",
      "countryCode": "NIR",
      "coordinate": {
        "latitude": 54.5973,
        "longitude": -5.9301
      },
      "priceCurrency": "GBP",
      "price": 18000,
      "status": "TO_LET",
      "saleType": "RENT",
      "propertyType": "COMMERCIAL",
      "size": 1250,
      "sizeUnits": "sqFeet",
      "description": "<p>An exceptional 1,250 sq ft refurbished ground-floor office...</p>",
      "shortDescription": "Refurbished city-centre office, 1,250 sq ft",
      "tenureType": "LEASEHOLD",
      "showOnWebsite": true,
      "deleted": false,
      "timeFirstReceived": "2026-06-19T08:55:12Z",
      "timeLastReceived": "2026-06-19T09:00:00Z",
      "resources": [
        {
          "id": 9001,
          "uri": "https://example.com/photos/exterior.jpg",
          "displayOrder": 1,
          "title": "Front exterior",
          "fileType": "Photograph",
          "processed": true,
          "deleted": false
        }
      ]
    }
  ]
}
```

**SDK Code**

```python 200 — Listings returned
import requests

url = "https://rightmove-feed.propertypal.com/v2/property/commercial/branch"

querystring = {"id":"12345","page":"0","size":"20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript 200 — Listings returned
const url = 'https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 — Listings returned
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 — Listings returned
require 'uri'
require 'net/http'

url = URI("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 — Listings returned
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 — Listings returned
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 — Listings returned
using RestSharp;

var client = new RestClient("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 — Listings returned
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### 200 — Empty branch



**Response**

```json
{
  "meta": {
    "requestTimestamp": "2026-06-19T09:00:00Z",
    "responseTimestamp": "2026-06-19T09:00:00.142Z",
    "traceId": "1d3b0a4e-9c9e-4d6a-9a45-c7c0a8f7c2a1"
  },
  "data": []
}
```

**SDK Code**

```python 200 — Empty branch
import requests

url = "https://rightmove-feed.propertypal.com/v2/property/commercial/branch"

querystring = {"id":"12345","page":"0","size":"20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript 200 — Empty branch
const url = 'https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 — Empty branch
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 — Empty branch
require 'uri'
require 'net/http'

url = URI("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 200 — Empty branch
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 200 — Empty branch
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 200 — Empty branch
using RestSharp;

var client = new RestClient("https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 200 — Empty branch
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rightmove-feed.propertypal.com/v2/property/commercial/branch?id=12345&page=0&size=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```